summaryrefslogtreecommitdiffstats
path: root/audio/wmusic
diff options
context:
space:
mode:
Diffstat (limited to 'audio/wmusic')
-rw-r--r--audio/wmusic/doinst.sh9
-rw-r--r--audio/wmusic/wmusic.SlackBuild31
-rw-r--r--audio/wmusic/wmusic.info2
3 files changed, 36 insertions, 6 deletions
diff --git a/audio/wmusic/doinst.sh b/audio/wmusic/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/audio/wmusic/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/audio/wmusic/wmusic.SlackBuild b/audio/wmusic/wmusic.SlackBuild
index e3b032c518..4e15041a9e 100644
--- a/audio/wmusic/wmusic.SlackBuild
+++ b/audio/wmusic/wmusic.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for wmusic
#
@@ -25,8 +25,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Currently maintained by B. Watson <yalhcru@gmail.com>
+# Currently maintained by B. Watson <urchlay@slackware.uk>
+# 20230106 bkw: BUILD=3, add doinst.sh and icon.
+# 20211019 bkw: BUILD=2, fix build for updated playerctl.
# 20180916 bkw: update for v2.0.0.
# 20160816 bkw:
@@ -36,10 +38,13 @@
# - install binary stripped
# - remove 'see the Info files' from man page, as there is no info file.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=wmusic
VERSION=${VERSION:-2.0.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -49,7 +54,11 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -80,6 +89,12 @@ chown -R root:root .
find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
\! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+# 20211019 bkw: Someone upgraded playerctl to an incompatible version,
+# without testing to see if it broke anything. Gee, thanks.
+if ! pkg-config --exists playerctl-1.0; then
+ sed -i 's,playerctl-1.0,playerctl,g' configure
+fi
+
# Stop spewing these:
# GLib-GObject-CRITICAL **: g_object_get: assertion 'G_IS_OBJECT (object)' failed
patch -p1 < $CWD/kill_glib_assertion_spam.diff
@@ -100,12 +115,18 @@ sed -i '/see the Info files/d' $PRGNAM.1
make install-strip DESTDIR=$PKG
gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+# 20230106 bkw: there's a .desktop, might as well have an icon.
+mkdir -p $PKG/usr/share/icons/hicolor/64x64/apps
+convert src/wmusic-master.xpm $PKG/usr/share/icons/hicolor/64x64/apps/$PRGNAM.png
+echo "Icon=wmusic" >> $PKG/usr/share/applications/$PRGNAM.desktop
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a README COPYING ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/wmusic/wmusic.info b/audio/wmusic/wmusic.info
index c9164312bf..8d6a2f36d7 100644
--- a/audio/wmusic/wmusic.info
+++ b/audio/wmusic/wmusic.info
@@ -7,4 +7,4 @@ DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="libdockapp playerctl"
MAINTAINER="B. Watson"
-EMAIL="yalhcru@gmail.com"
+EMAIL="urchlay@slackware.uk"